Bug 248259 - Discuss Configuration Tools
Discuss Configuration Tools
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-14 10:19 EDT by Martin Jürgens
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-04 15:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-app-install (81.22 KB, image/png)
2007-08-04 08:42 EDT, Martin Jürgens
no flags Details
synaptic (47.25 KB, image/png)
2007-08-04 08:42 EDT, Martin Jürgens
no flags Details

  None (edit)
Description Martin Jürgens 2007-07-14 10:19:59 EDT
Linux and especially Fedora is more and more used as a desktop operating system
for end users.

This creates new conditions how Fedora should be. On the one hand, there are
administrators, which want to have powerful GUI configuration applications.

On the other hand, there is a new aspect, the end user. He probably does not
know what IPv6 and other things are and just wants to configure a printer. Other
use case would be the yum frontend. System administrators have other
exceptations than end users. I think that Ubuntu does this very good and I will
attach screenshots soon.

I am of the opinion that we somehow have to make both groups happy.

One way is to create seperate configuration tools for both groups, but I do not
like that. An other, easy possibility would be to make a button "advanced" which
shows hidden options.

This Feature Request is not very specified yet, but maybe we can discuss about
the problem and possible solutions. Please file this bug report against the
fitting component, I did not find one fitting.
Comment 1 Martin Jürgens 2007-08-04 08:42:05 EDT
I am going to attach two screenshots of Ubuntu's package management applications.

One of gnome-app-install, the application for end-users and one of synaptic
which is for experienced users and more powerful.
Comment 2 Martin Jürgens 2007-08-04 08:42:35 EDT
Created attachment 160692 [details]
gnome-app-install
Comment 3 Martin Jürgens 2007-08-04 08:42:51 EDT
Created attachment 160693 [details]
synaptic
Comment 4 Ray Strode [halfline] 2007-08-04 15:03:16 EDT
Hi Martin,

This sort of discussion isn't really suited for a bug report.  Bug reports are
for specific problems.  This kind of discussion is better to bring up on the
mailing list, and once some conclusions have been made then individual, specific
bug reports can get filed.

Note You need to log in before you can comment on or make changes to this bug.